/****************************************************************************
 *
 * Copy right:   2021-, Copyrigths of RLWL Ltd.
 * File name:    app.h
 * Description:  App definition H file
 * History:      Rev3.0   2021-07-06
 *
 ****************************************************************************/
#include "app.h"
void appInit(void *arg)
{
    #ifdef USING_PRINTF1	
    	printf("%s[%d]\r\n",__FUNCTION__, __LINE__);
    #endif
    // MainTaskInit(arg);
    // AdcTaskInit();
    // UartTaskInit(arg);
    // GpsTaskInit();
	// CANTaskInit(arg);
    // TcpTaskInit(arg);
}
void main_entry(void) 
{
    BSP_CommonInit();
    osKernelInitialize();
    registerAppEntry(appInit, NULL);
    if (osKernelGetState() == osKernelReady)
    {
        osKernelStart();
    }
    while(1);
}
